Bug 1315893 - License tag does not match actual license of code
Summary: License tag does not match actual license of code
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
Petr Bokoc
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1316552
TreeView+ depends on / blocked
 
Reported: 2016-03-08 22:14 UTC by Iliana Weller
Modified: 2016-11-03 20:40 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
The `LICENSE` file now shows correct license information Previously, the output of the "rpm -qi 389-ds-base" command displayed an incorrect License field with an earlier license, `GPLv2 with exceptions`. This problem has been fixed and the _389-ds-base_ package now provides the correct license information (the `GPLv3+` license) in its `LICENSE` file.
Story Points: ---
Clone Of:
: 1316552 (view as bug list)
Environment:
Last Closed: 2016-11-03 20:40:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Iliana Weller 2016-03-08 22:14:32 UTC
Since 389-ds-base-1.3.4.0-26.el7_2, the license changed to GPLv3+:

$ rpm -q 389-ds-base
389-ds-base-1.3.4.0-26.el7_2.x86_64
$ head -n 7 /usr/share/doc/389-ds-base-1.3.4.0/LICENSE
Copyright (C) 2015 Red Hat
See files 'LICENSE.GPLv3+' and 'LICENSE.openssl' for more information.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

However, the License field in the RPM was not changed:

$ rpm -qi 389-ds-base | grep License
License : GPLv2 with exceptions

$ rpm -q 389-ds-base
389-ds-base-1.3.4.0-26.el7_2.x86_64

Comment 2 Noriko Hosoi 2016-03-08 22:38:58 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/48757

Comment 6 Noriko Hosoi 2016-03-10 18:58:00 UTC
(In reply to Ian Weller from comment #0)
> Since 389-ds-base-1.3.4.0-26.el7_2, the license changed to GPLv3+:
> 
> $ rpm -q 389-ds-base
> 389-ds-base-1.3.4.0-26.el7_2.x86_64
> $ head -n 7 /usr/share/doc/389-ds-base-1.3.4.0/LICENSE
> Copyright (C) 2015 Red Hat
> See files 'LICENSE.GPLv3+' and 'LICENSE.openssl' for more information.
> 
> This program is free software; you can redistribute it and/or modify
> it under the terms of the GNU General Public License as published by
> the Free Software Foundation, either version 3 of the License, or
> (at your option) any later version.
> 
> However, the License field in the RPM was not changed:
> 
> $ rpm -qi 389-ds-base | grep License
> License : GPLv2 with exceptions
> 
> $ rpm -q 389-ds-base
> 389-ds-base-1.3.4.0-26.el7_2.x86_64

Thank you for your report, Ian.  The fix is included in the next rhel-7.2.z release.

Comment 8 Viktor Ashirov 2016-06-15 07:19:59 UTC
# head -n 7 /usr/share/doc/389-ds-base-1.3.5.6/LICENSE
Copyright (C) 2015  Red Hat
See files 'LICENSE.GPLv3+' and 'LICENSE.openssl' for more information.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

# rpm -qi 389-ds-base | egrep "Name|Version|Release|License"
Name        : 389-ds-base
Version     : 1.3.5.6
Release     : 1.el7
License     : GPLv3+


Marking as VERIFIED.

Comment 10 errata-xmlrpc 2016-11-03 20:40:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.